# Uses of Interface
org.eclipse.gef.common.collections.MultisetChangeListener

Packages that use MultisetChangeListener
Package
Description
org.eclipse.gef.common.beans.binding
This package augments the JavaFX binding API by adding support related to `SetMultimap` and `Multiset`.
org.eclipse.gef.common.beans.property
This package augments the property API of JavaFX by adding support related to `SetMultimap` and `Multiset`.
org.eclipse.gef.common.collections
This package augments the JavaFX collections API with support for `SetMultimap` and `Multiset`.

## Uses of MultisetChangeListener in org.eclipse.gef.common.beans.binding

Methods in org.eclipse.gef.common.beans.binding with parameters of type MultisetChangeListener
Modifier and Type
Method
Description
`void`
MultisetBinding.`addListener(MultisetChangeListener<? super E> listener)`
`void`
MultisetBinding.`removeListener(MultisetChangeListener<? super E> listener)`

## Uses of MultisetChangeListener in org.eclipse.gef.common.beans.property

Methods in org.eclipse.gef.common.beans.property with parameters of type MultisetChangeListener
Modifier and Type
Method
Description
`void`
MultisetPropertyBase.`addListener(MultisetChangeListener<? super E> listener)`
`void`
ReadOnlyMultisetPropertyBase.`addListener(MultisetChangeListener<? super E> listener)`
`void`
MultisetPropertyBase.`removeListener(MultisetChangeListener<? super E> listener)`
`void`
ReadOnlyMultisetPropertyBase.`removeListener(MultisetChangeListener<? super E> listener)`

## Uses of MultisetChangeListener in org.eclipse.gef.common.collections

Methods in org.eclipse.gef.common.collections with parameters of type MultisetChangeListener
Modifier and Type
Method
Description
`void`
MultisetListenerHelper.`addListener(MultisetChangeListener<? super E> listener)`
Adds a new `SetMultimapChangeListener` to this `MultisetListenerHelper`.
`void`
ObservableMultiset.`addListener(MultisetChangeListener<? super E> listener)`
Adds a `MultisetChangeListener` to this `ObservableMultiset`.
`void`
MultisetListenerHelper.`removeListener(MultisetChangeListener<? super E> listener)`
Removes the given `MultisetChangeListener` from this `MultisetListenerHelper`.
`void`
ObservableMultiset.`removeListener(MultisetChangeListener<? super E> listener)`
Removes a `MultisetChangeListener` from this `ObservableMultiset`.